include Demo.inc

INPUTBOX STRUCT

	IB_SCText	dd ?	; text to be displayed in the static control
	IB_Caption	dd ?	; caption of the input box
	IB_Buffer	dd ?	; Buffer receiving the input text
	IB_xpos		dw ?	; x coordinate in dialog box units
	IB_ypos		dw ?	; y coordinate in dialog box units
	IB_TextLen	dd ?	; used internally - returns the length of the text received by InputBox 
	IB_hEdit	dd ?	; used internally - temporary storage for the handle to edit control

INPUTBOX ENDS

.data
caption		db 'GeneSys Input Box',0
msg			db 'Please enter your name',0
msg2		db 'Sorry, you did not type your name',13,10
			db 'Please try again',0
caption2	db 'Your name is',0

ib			INPUTBOX <OFFSET msg,OFFSET caption,OFFSET buffer,300,250,0,0>
										; set the properties of the input box

.data?

buffer		db 100 dup(?)
hModule		dd ?

.code

start:

	invoke	GetModuleHandle,0
	mov		hModule,eax
@@:
	invoke	InputBox,hModule,0,ADDR ib
	cmp		IBTextLen(ib),0				; IBTextLen - macro returning the length
	jnz		@f							; of the input text
	mov		IBSCText(ib),OFFSET msg2	; IBSCText  - macro setting the static text
	jmp		@b							; in the input box
@@:
	invoke	MessageBox,0,ADDR buffer,ADDR caption2,MB_OK
	invoke	ExitProcess,0

END start
