include	InputBox.inc

IDC_EDIT	equ 4001
IDB_OK		equ 4002
IDB_EXIT	equ 4003
IDC_STATIC	equ 4004

.data?

ib			dd ?

.code

IBDlgProc PROC USES esi hWnd:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	
        .IF uMsg==WM_INITDIALOG

			mov		esi,lParam
			mov		ib,esi
			invoke	GetDlgItem,hWnd,IDC_STATIC			
			invoke	SendMessage,eax,WM_SETTEXT,0,INPUTBOX.IB_SCText[esi]
			invoke	SendMessage,hWnd,WM_SETTEXT,0,INPUTBOX.IB_Caption[esi]
			invoke	GetDlgItem,hWnd,IDC_EDIT
			mov		INPUTBOX.IB_hEdit[esi],eax

		.ELSEIF uMsg==WM_CLOSE

			invoke	EndDialog,hWnd,0

		.ELSEIF uMsg==WM_COMMAND
		
			mov	eax,wParam
			mov	edx,eax
			shr	edx,16

				.IF dx==BN_CLICKED
                                
					.IF ax==IDB_EXIT
					
		                invoke	SendMessage,hWnd,WM_CLOSE,0,0

					.ELSEIF ax==IDB_OK || ax==IDOK								; check also if RETURN is pressed

						mov		esi,ib
						invoke	SendMessage,INPUTBOX.IB_hEdit[esi],WM_GETTEXTLENGTH,0,0
						mov		INPUTBOX.IB_TextLen[esi],eax
						test	eax,eax											; check the length of the input text
						jz		@f												; if no text is entered then quit application
						inc		eax
						invoke	SendMessage,INPUTBOX.IB_hEdit[esi],WM_GETTEXT,eax,\
						INPUTBOX.IB_Buffer[esi]									; receive the input text
					@@:
		                invoke	SendMessage,hWnd,WM_CLOSE,0,0

					.ENDIF

				.ENDIF
		.ELSE

			xor	eax,eax
			ret

		.ENDIF

		mov eax,TRUE
		ret

IBDlgProc ENDP

END
